package com.hai.service;

import com.hai.entity.HighMerchantAccountMarketing;

import java.math.BigDecimal;

/**
 * 商户账户营销配置
 */
public interface HighMerchantAccountMarketingService {

    /**
     * 增加
     * @param merchantAccountMarketing
     */
    void insert(HighMerchantAccountMarketing merchantAccountMarketing);

    /**
     * 修改
     * @param merchantAccountMarketing
     */
    void update(HighMerchantAccountMarketing merchantAccountMarketing);

    /**
     * 查询详情
     * @param merId
     * @param type
     * @return
     */
    HighMerchantAccountMarketing getDetailByMerAndType(Long merId,Integer type);

    /**
     * 查询价格
     * @param merId
     * @param type
     * @param oilNo
     * @return
     */
    BigDecimal getPrice(Long merId,Integer type,Integer oilNo);
}
